import java.io.*;

public class LectureFichier
{
    private BufferedReader fichier;
    private int numligne;
    private String nom;
    private double valeur;
    private int rarete;
    
    public LectureFichier(String chemin_vers_fichier)
    {
        try
        {
            fichier = new BufferedReader(new FileReader(chemin_vers_fichier));
            numligne=0;
        }
        catch(FileNotFoundException e)
        {
            System.out.println("Le fichier "+chemin_vers_fichier+" est introuvable");
        }
    }
    
    public boolean il_reste_des_lignes()
    {
        String ligne=null;
        
        try
        {
            ligne = fichier.readLine();
        }
        catch(Exception e)
        {
            System.out.println("Erreur lors de la lecture du fichier... appeler au secours"+e);
        }
        numligne=numligne+1;
        
        if(ligne==null) 
        {
            return false;
        }
        else
        {
            String[] tabligne = ligne.split(";");
            
            if(tabligne.length != 3)
            {
                System.out.println("Erreur dans le fichier : mauvais format a la ligne "+numligne);
                return false;
            }
            else
            {
                 nom=tabligne[0];
                 valeur=Double.parseDouble(tabligne[1]);
                 rarete=Integer.parseInt(tabligne[2]);
                 return true;
            }
        }
    }
    
    public String lire_nom_Pokemon()
    {
        return nom;
    }
    
    public double lire_valeur_Pokemon()
    {
        return valeur;
    }
    
    public int lire_rarete_Pokemon()
    {
        return rarete;
    }
}
